<template>
  <div>
	<b-row>
		<b-col class>
			 <b-form inline>
		    <label class="mr-sm-2" for="inline-form-custom-select-pref">Buscar super heroe</label>
		     <b-form-input   v-model="nombreHero" placeholder="Ingrese nombre"></b-form-input>
		  </b-form>
		</b-col>

	</b-row>

	

	<b-row class="mt-3">
		<b-col>
				<b-card
			      header="Super Heroes"
			      header-tag="header"
			      footer-tag="footer"
			    >
			      <b-card-text> 
			      	<b-list-group v-for="he in searchHero" class="justify-content-md-center" :key="he.id">
				      <b-list-group-item class="d-flex align-items-center">
				      	<b-row style="width: -webkit-fill-available;">
					    <b-col col lg="2">
					    	<b-avatar variant="info" :src="he.avatarURL" size="6rem"></b-avatar>
						</b-col>
					    <b-col  col lg="8" style="display: grid;" class="justify-content-md-center">
					    	<span class="mr-auto">{{he.nombre}}</span>
				        	<small>{{he.nombreReal}}</small>
						</b-col>
					  </b-row>
				       	
				      </b-list-group-item>
			    	</b-list-group>
				</b-card-text>
			   
			    </b-card>

			
		</b-col>
	</b-row>

</div>
</template>

<script>
  export default {
    name: "cardhero",
   data: function () {
	    return {
	      heroes: [],
	      nombreHero:null,
	      heroe1:{},
	      poderes:null,
	      options: [
	          { value: null, text: 'Todo' },
	          { value: 1, text: 'Puede Volar' },
	          { value: 0, text: 'Selected Option' },
        	]
	    }
  	},
  // define methods under the `methods` object
  methods: {
    getHeroes: function () {
    	var vm = this
     	this.axios
	      .get('http://157.245.138.232:9091/api/v1/test/superheroes/1')
	      .then(response => (
	      	this.heroes.push(response.data.data)
	      )).catch(function () {
		    // handle error
		    vm.$swal({
			  icon: 'error',
			  title: 'Upps... No encontramos super heroes',
			  html: '<img title=" | " src="https://www.republica.com/wp-content/uploads/2019/10/Joker.jpg" alt="" width="100%" height="100%">',
			   content:true,
			  
			}).then(()=>(this.getHerofly()));
		  })
    },
    getHerofly: function(){
    	var vm = this
    	this.axios
	      .get('http://157.245.138.232:9091/api/v1/test/superheroes?puedeVolar=true')
	      .then( function(response){
	      		if(response.data.data.length > 0){
	      				response.data.data.forEach(function(ele){vm.heroes.push(ele)})
	      			}
	      }).catch(function () {
		    // handle error
		    vm.$swal({
			  icon: 'error',
			  title: 'Upps... No encontramos super heroes',
			  html: '<img title=" | " src="https://www.republica.com/wp-content/uploads/2019/10/Joker.jpg" alt="" width="100%" height="100%">',
			   content:true,
			  
			});
		  })

    }
  },
  mounted: function(){
  	this.getHeroes();
  	this.getHerofly();
  },
    computed: {
    	searchHero:function () {
    		if(this.nombreHero){
    			 return this.heroes.filter((item) => item.nombre.toLowerCase().includes(this.nombreHero.toLowerCase()));
    		}
    		return this.heroes;
           
        }

    }
  }
</script>

<style lang="scss" scoped>
</style>